Get car
curl --request GET \
--url https://www.carstoragesoftware.com/api/v1/cars/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.carstoragesoftware.com/api/v1/cars/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/cars/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vin": "<string>",
"stockNumber": "<string>",
"year": 123,
"make": "<string>",
"model": "<string>",
"trim": "<string>",
"color": "<string>",
"licensePlate": "<string>",
"licensePlateState": "<string>",
"mileage": 123,
"mileageUnits": "<string>",
"parkingSpot": "<string>",
"parkingSpotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parkingZoneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isForSale": true,
"declaredValueCents": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Cars
Get car
Requires read:cars.
GET
/
api
/
v1
/
cars
/
{id}
Get car
curl --request GET \
--url https://www.carstoragesoftware.com/api/v1/cars/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.carstoragesoftware.com/api/v1/cars/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/cars/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vin": "<string>",
"stockNumber": "<string>",
"year": 123,
"make": "<string>",
"model": "<string>",
"trim": "<string>",
"color": "<string>",
"licensePlate": "<string>",
"licensePlateState": "<string>",
"mileage": 123,
"mileageUnits": "<string>",
"parkingSpot": "<string>",
"parkingSpotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parkingZoneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isForSale": true,
"declaredValueCents": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Was this page helpful?
⌘I